/*
 * Aplicacin de ejemplo de uso de SQLite en C++
 * EjemploSQLite
 * Salvador Pozo, Con Clase (www.conclase.net)
 * Abril de 2012
 * Fichero: libro.h
 * fichero de cabecera para manupular datos de libros
 */

#ifndef __LIBRO_H__
#define __LIBRO_H__

#include <sqlite/sqlite3.h>

void NuevoLibro(sqlite3 *);
int ListaLibros(sqlite3 *);
void EditarLibro(sqlite3 *);
void BorrarLibro(sqlite3 *);
void BuscarLibro(sqlite3 *);
void AnexarAutor(sqlite3 *);
void AnexarTema(sqlite3 *);
int ListaAutoresLibro(sqlite3 *, int clavelibro);
void EliminarAutorLibro(sqlite3 *);
int ListaTemasLibro(sqlite3 *, int clavelibro);
void EliminarTemaLibro(sqlite3 *);
#endif
