/*
 * Aplicacin de ejemplo de uso de SQLite en C++
 * EjemploSQLite
 * Salvador Pozo, Con Clase (www.conclase.net)
 * Marzo de 2012
 * Fichero: menus.h
 * fichero de cabecera para implementar mens
 */

#include <sqlite/sqlite3.h>

#define TITULO              -1
#define SALIR               0
#define ABRIRMENU           1
#define NUEVAEDITORIAL      2
#define EDITAREDITORIAL     3
#define BORRAREDITORIAL     4
#define CONSULTAEDITORIAL   5
#define NUEVOAUTOR          6
#define EDITARAUTOR         7
#define BORRARAUTOR         8
#define CONSULTAAUTOR       9
#define NUEVOTEMA           10
#define EDITARTEMA          11
#define BORRARTEMA          12
#define CONSULTATEMA        13
#define NUEVOLIBRO          14
#define EDITARLIBRO         15
#define ANEXARAUTOR         16
#define ELIMINARAUTOR       17
#define ANEXARTEMA          18
#define ELIMINARTEMA        19
#define BORRARLIBRO         20
#define CONSULTALIBRO       21
#define NUEVOEJEMPLAR       22
#define EDITAREJEMPLAR      23
#define BORRAREJEMPLAR      24
#define CONSULTAEJEMPLAR    25
#define NUEVOSOCIO          26
#define EDITARSOCIO         27
#define BORRARSOCIO         28
#define CONSULTASOCIO       29
#define NUEVOPRESTAMO       30
#define EDITARPRESTAMO      31
#define ANULARPRESTAMO      32
#define DEVOLUCION          33
#define EDITARDEVOLUCION    34
#define HISTORIALSOCIO      35
#define HISTORIALLIBRO      36
#define CONSULTAPRESTAMOS   37

// Aadiremos ms cdigos de operacin a medida que implementemos nuevas opciones

struct stmenu { // Estructura para inicializar tabla de mens
    int idmenu;
    char letra[2];
    char texto[64];
    int hijo;
    int accion;
};

// Prototipos:
bool IniciarMenu(sqlite3 *);
void MostrarMenu(sqlite3 *, int);
int LeerMenu(sqlite3 *, int&);
