/*
 * Aplicacin de ejemplo de uso de SQLite en C++
 * EjemploSQLite
 * Salvador Pozo, Con Clase (www.conclase.net)
 * Abril de 2012
 * Fichero: prestamo.h
 * fichero de cabecera para manupular datos de prestamos
 */

#ifndef __PRESTAMO_H__
#define __PRESTAMO_H__

#include <sqlite/sqlite3.h>

void NuevoPrestamo(sqlite3 *);
void MostrarEjemplaresPrestados(sqlite3 *, int);
char LeerCategoriaSocio(sqlite3 *, int);
int ListaEjemplaresBiblioteca(sqlite3 *, int, int);
void CambiarFechaPrestamo(sqlite3 *);
void AnularPrestamo(sqlite3 *);
int ListaEjemplaresLibro(sqlite3 *db, int clavelibro);
int ListaEjemplaresPrestados(sqlite3 *, int);
void DevolucionPrestamo(sqlite3 *);
void HistorialLibro(sqlite3 *);
void HistorialSocio(sqlite3 *);
void ConsultaPrestamos(sqlite3 *);
#endif

